Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.customizer.edit
Class TextChangeListener

    java.lang.Object
      datechooser.beans.customizer.edit.TextChangeListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.DocumentListener

    public abstract class TextChangeListener

extends java.lang.Object
implements javax.swing.event.DocumentListener

Listens any text changes without their differentiation.
Введен для простоты. Позволяет следить за изменениями текста без уточнения характера этих изменений.

Since:
  1.0
Author:
  Androsov Vadim

Constructor Summary
`TextChangeListener()`

Method Summary
`void` | `changedUpdate(javax.swing.event.DocumentEvent e)`
`void` | `insertUpdate(javax.swing.event.DocumentEvent e)`
`void` | `removeUpdate(javax.swing.event.DocumentEvent e)`
`abstract void` | `textChanged(javax.swing.event.DocumentEvent e)` Use this method to listen changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextChangeListener

    public TextChangeListener()

Method Detail

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### textChanged

    public abstract void textChanged(javax.swing.event.DocumentEvent e)

  Use this method to listen changes.
  Изпользуйте этот метод для слежения за изменениями текста.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD